Subject: [tcpm] TCPM status

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Wed, 28 Mar 2012 11:20:20 +0200

Hi all,

Below the usual update regarding the current TCPM status. Please let the chairs know any comments or feedback.

Thanks

Michael

PS: I apologize for attending this IETF only on Friday.

Recent RFCs
===========

Clarification of sender behavior in persist condition 
draft-ietf-tcpm-persist
Status: RFC 6429

Defending Against Sequence Number Attacks
draft-ietf-tcpm-rfc1948bis
Status: RFC 6528

WG Items Nearing RFC Publication
================================

The NewReno Modification to TCP's Fast Recovery Algorithm
draft-ietf-tcpm-rfc3782-bis
Milestone Target: Proposed Standard in April 2011
Status: RFC Editor Queue (RFC 6582)

SACK Entry / RFC 3517bis
draft-blanton-tcpm-3517bis
Milestone Target: Proposed Standard in October 2010
Status: IESG processing

WG Items in WGLC or being revised after WGLC
============================================

MSS Option
draft-ietf-tcpm-tcpmss
Milestone Target: Proposed Standard in July 2009
Status: Needs revision
Action: Update with post-WGLC comments in preparation

Active WG Items
===============

1323bis
draft-ietf-tcpm-1323bis
Milestone Target: Proposed Standard in July 2009
Status: Needs revision
Action: Action with David Borman

TCP Security
draft-ietf-tcpm-tcp-security
Milestone Target: August 2010
Status: Version -03 with reduced scope (informational)
Action: Discussion during IETF 83

Increasing the Initial Window
draft-ietf-tcpm-initcwnd
Milestone Target: Experimental in September 2011
Status: Under active discussion / review
Action: WGLC planned

Proportional Rate Reduction for TCP
draft-ietf-tcpm-proportional-rate-reduction
Milestone Target: Experimental in May 2012
Status: Under active discussion / review
Action: WGLC planned

Shared Use of Experimental TCP Options
draft-ietf-tcpm-experimental-options
Milestone Target: PS in Sept. 2012
Status: Under active discussion / review
Action: Continue discussion on list

TCP Fast Open
draft-ietf-tcpm-fastopen
Milestone Target: Experimental in Sept. 2012
Status: Under active discussion / review
Action: Continue discussion

Documents Under a Poll to Become WG Items
=========================================

Active Internet-Drafts
======================

draft-ananth-tcpm-tcpoptext

draft-hurtig-tcpm-rtorestart

draft-kuehlewind-tcpm-accurate-ecn

draft-kuehlewind-tcpm-accurate-ecn-option

draft-mathis-tcpm-tcp-laminar

draft-scheffenegger-tcpm-timestamp-negotiation

draft-touch-tcpm-automatic-iw

(+ many expired Internet-Drafts)

Other WG Activities
===================

Errata Review for legacy TCP RFCs (many outstanding)